<?php
/**
 * Customer second completed order email
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/emails/customer-completed-order.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates\Emails
 * @version 3.7.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/*
 * @hooked WC_Emails::email_header() Output the email header
 */
?>


<!-- EL FONDO GRIS #F7F7F7 white-#104983-->
<div style="background-color:<?php echo get_option('woocommerce_email_background_color');?>;padding:15px;">
	<div style="background-color:<?php echo get_option('woocommerce_email_background_color');?>;width:700px;margin:auto;text-align:center;margin-bottom:20px;">
	<img src="<?php echo get_option('woocommerce_email_header_image');?>" alt="Softwarelicenses.net" style="border:none;display:inline-block;font-size:14px;font-weight:bold;height:auto;outline:none;text-decoration:none;text-transform:capitalize;vertical-align:middle;max-width:100%;margin:auto;" border="0" >
	</div>
	<!-- HEADING DE COLOR BASE #104983-->
	<div style="padding:15px;background-color:<?php echo get_option('woocommerce_email_base_color');?>;width:700px;margin:auto;padding:30px">
		<h1 style="color:white;">
			<?php echo $email_heading; ?>
		</h1>
	</div>
	<!-- EL CONTENEDOR BLANCO white-->
	<div style='background-color:<?php echo get_option('woocommerce_email_body_background_color');?>;width:700px;margin:auto;padding:30px;'>

		<!-- EL CONTENIDO DEL SALUDO -->
		<p><?php printf( esc_html__( 'Hi %s,', 'woocommerce' ), esc_html( $order->get_billing_first_name() ) ); ?></p>
		<p><?php esc_html_e( 'We have finished processing your order.', 'woocommerce' ); ?></p>
		<!-- DETALLES DE LA ORDEN -->
		<h2 style="color:<?php echo get_option('woocommerce_email_base_color');?>;">
			<?php
			if ( $sent_to_admin ) {
				$before = '<a class="link" href="' . esc_url( $order->get_edit_order_url() ) . '">';
				$after  = '</a>';
			} else {
				$before = '';
				$after  = '';
			}
			/* translators: %s: Order ID. */
			echo wp_kses_post( $before . sprintf( __( '[Order #%s]', 'woocommerce' ) . $after . ' (<time datetime="%s">%s</time>)', $order->get_order_number(), $order->get_date_created()->format( 'c' ), wc_format_datetime( $order->get_date_created() ) ) );
			?>
		</h2>

		<div style="margin-bottom: 40px;">
			<table class="td" cellspacing="0" cellpadding="6" style="width: 100%; font-family: 'Helvetica Neue', Helvetica, Roboto, Arial, sans-serif;" border="1">
				<thead>
					<tr>
						<th class="td" scope="col" style="text-align:<?php echo esc_attr( $text_align ); ?>;"><?php esc_html_e( 'Product', 'woocommerce' ); ?></th>
						<th class="td" scope="col" style="text-align:<?php echo esc_attr( $text_align ); ?>;"><?php esc_html_e( 'Quantity', 'woocommerce' ); ?></th>
						<th class="td" scope="col" style="text-align:<?php echo esc_attr( $text_align ); ?>;"><?php esc_html_e( 'Price', 'woocommerce' ); ?></th>
					</tr>
				</thead>
				<tbody>
					<?php
					echo wc_get_email_order_items( // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
						$order,
						array(
							'show_sku'      => $sent_to_admin,
							'show_image'    => false,
							'image_size'    => array( 32, 32 ),
							'plain_text'    => $plain_text,
							'sent_to_admin' => $sent_to_admin,
						)
					);
					?>
				</tbody>
				<tfoot>
					<?php
					$item_totals = $order->get_order_item_totals();

					if ( $item_totals ) {
						$i = 0;
						foreach ( $item_totals as $total ) {
							$i++;
							?>
							<tr>
								<th class="td" scope="row" colspan="2" style="text-align:<?php echo esc_attr( $text_align ); ?>; <?php echo ( 1 === $i ) ? 'border-top-width: 4px;' : ''; ?>"><?php echo wp_kses_post( $total['label'] ); ?></th>
								<td class="td" style="text-align:<?php echo esc_attr( $text_align ); ?>; <?php echo ( 1 === $i ) ? 'border-top-width: 4px;' : ''; ?>"><?php echo wp_kses_post( $total['value'] ); ?></td>
							</tr>
							<?php
						}
					}
					if ( $order->get_customer_note() ) {
						?>
						<tr>
							<th class="td" scope="row" colspan="2" style="text-align:<?php echo esc_attr( $text_align ); ?>;"><?php esc_html_e( 'Note:', 'woocommerce' ); ?></th>
							<td class="td" style="text-align:<?php echo esc_attr( $text_align ); ?>;"><?php echo wp_kses_post( nl2br( wptexturize( $order->get_customer_note() ) ) ); ?></td>
						</tr>
						<?php
					}
					?>
				</tfoot>
			</table>
		</div>
		<!-- LAS LLAVES COMPRADAS -->
		<div style="padding:15px;width:700px;padding:20px;margin:auto;">
		<?php 
		if (function_exists('inserta_llave_en_thankyoupage')) {
			inserta_llave_en_thankyoupage($order->get_order_number());
		}
		?>
		</div>
		<!-- EL MENSAJE DE CONTACT SUPPORT -->
		<div style="padding:15px;width:700px;margin:auto;padding:20px">
		<?php echo $contact_support1;?>
		</div>

	</div>

</div>
<!-- EL PIE DE PAGINA DEBAJO DEL BLOQUE BLANCO -->
<div style="padding:15px;background-color:#F7F7F7;width:700px;margin:auto;padding:20px">
<?php echo "<div style='text-align:center;'>".get_option('woocommerce_email_footer_text')."</div>";?>
<?php //echo "<div style='text-align:center;'>".__("Email","woocommerce").": ".get_option('admin_email')."</div>";?>
</div>

